Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
PHP & GD how to install?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
C001JU135
n00b
n00b


Joined: 14 Aug 2002
Posts: 19
Location: holland

PostPosted: Mon Nov 11, 2002 8:07 pm    Post subject: PHP & GD how to install? Reply with quote

i cannt get the gd working :/

i have tried this: USE="freetype jpeg png gd mysql flash crypt" emerge mod_php

but nothing..

my system is completelu up to date, and yes, i ran the php ebuild config script and restarted apache...
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 16627

PostPosted: Mon Nov 11, 2002 10:12 pm    Post subject: Reply with quote

See PHP and GD
_________________
Find them! Fix them! Fight them! Finish them! -- GEN Matthew B. Ridgway
Back to top
View user's profile Send private message
TheEternalVortex
Apprentice
Apprentice


Joined: 15 Oct 2002
Posts: 207
Location: San Jose, CA

PostPosted: Tue Nov 12, 2002 1:55 am    Post subject: Reply with quote

The PHP (and mod_php) ebuild won't install GD if you have pdflib in your USE flags. I disabled the check (and installed both PDF and GD support), YMMV.
_________________
-- Andy
Back to top
View user's profile Send private message
mglauche
Retired Dev
Retired Dev


Joined: 25 Apr 2002
Posts: 564
Location: Germany

PostPosted: Tue Nov 12, 2002 8:15 am    Post subject: Reply with quote

Hi,
i did build my own php ebuild with gd2 (compiled from source, because i did want to have the gif patch in it), add the following line in the ebuild:

use gd2 && myconf="${myconf} --with-gd=/usr/src/gd-2.0.1 --enable-gd-native-ttf --with-freetype-dir"

also add gd2 to your use flags, and install gd2 in /usr/src/gd-2.0.1 ... works perfectly fine here. gd with freetype2, png, jpg and GIF (!) support :)
Back to top
View user's profile Send private message
F0RMaTC
n00b
n00b


Joined: 23 Jul 2002
Posts: 6

PostPosted: Sun Mar 23, 2003 12:59 pm    Post subject: Reply with quote

When building with gd support, 4.3.0 (according to php bug team) will include it's own bundled version. You no longer need to install or worry about compatability with existing installations. Just set --with-gd (and NO PATH!!) and it should build without issue.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum